Name:          rtmidi
Version:       6.0.0
Release:       1mamba
Summary:       A set of C++ classes that provide a common API for realtime MIDI input/output
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.music.mcgill.ca/~gary/rtmidi/
Source:        http://www.music.mcgill.ca/~gary/rtmidi/release/rtmidi-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libgcc
BuildRequires: libjack-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
RtMidi is a set of C++ classes that provide a common API for realtime MIDI input/output across Linux (ALSA & Jack), Macintosh OS X (CoreMidi) and Windows (Multimedia & Kernel Streaming).

%package -n lib%{name}
Group:         System/Libraries
Summary:       A library that provides a common API for realtime MIDI input/output

%description -n lib%{name}
RtMidi is a set of C++ classes that provide a common API for realtime MIDI input/output across Linux (ALSA & Jack), Macintosh OS X (CoreMidi) and Windows (Multimedia & Kernel Streaming).

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure \
   --with-jack \
   --with-alsa \
   LDFLAGS="-L%{_libdir}"

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%makeinstall

#install -d -m0755 %{buildroot}%{_libdir}
#cp -P librtmidi.so* %{buildroot}%{_libdir}/
#install -D -m0755 rtmidi-config %{buildroot}%{_bindir}/rtmidi-config
#for f in RtMidi.h; do
#install -D -m0644 $f %{buildroot}%{_includedir}/$f
#done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/librtmidi.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/rtmidi
%{_includedir}/rtmidi/*
%{_libdir}/librtmidi.a
%{_libdir}/librtmidi.so
%{_libdir}/pkgconfig/rtmidi.pc

%changelog
* Sun Aug 06 2023 Automatic Build System <autodist@mambasoft.it> 6.0.0-1mamba
- automatic version update by autodist

* Fri Dec 24 2021 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic version update by autodist

* Sun Apr 21 2019 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Sun Mar 24 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-1mamba
- update to 3.0.0

* Wed May 28 2014 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic update by autodist

* Thu Aug 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1mamba
- package created by silvan using the webbuild interface
